﻿.modal-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.5);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.modal-overlay.active {
    display: flex; 
}

.message-box {
    min-width: 22.5rem;
    width:auto;
    margin: 40px auto;
    padding: 16px;
    border: 2px solid #000000;
    border-radius: 8px;
    background: #fff;
} 

.message-box p {
    margin-bottom: 5px;
    white-space: pre-line;
}


.message-box .actions {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1px;
}

.message-box.confirm .actions {
    flex-direction: row;
    gap: 4px;
}
.message-box button, .message-box a {
    display: block;
    padding: 5px;
    border-radius: 6px;
    border: 1px solid #666;
    text-align: center;
    font-size: 14px;
    cursor: pointer;
    text-decoration: none;
    width: 14rem;
}

.message-box.confirm button {
    width: 7rem;
}

.message-box .detail {
    background: #f8c8b0;
    border-color: #f8c8b0;
}

#msg-btn-close {
    width: 7rem;
    height: 33px;
}

#msg-content, #confirm-message {
    text-align: left;
}

.download-wrap {
    display: none;
    font-size: 18px;
    font-weight: bold;
    color: deepskyblue;
    justify-content: flex-start;
    white-space: nowrap;
    margin-top: -10px;
    align-items: center;
}

.download-wrap .arrow {
    margin-right: 6px; 
    text-decoration: none; 
}

.download-wrap .link-download {
    text-decoration: underline;
    color: deepskyblue;
    border: none;
    text-align: left;
    width: 20px;
    cursor: pointer;
    font-size:18px;
}

.tippy-box[data-theme~='pcl-blue'] {
    background-color: rgba(51,156,208,0.8);
    color: #ffffff;
    border: none;
    padding: 2px 5px;
    border-radius: 3px;
    font-size: 12px;
    font-weight: 500;
    line-height: 1.1;
}

.tippy-box[data-theme~='pcl-blue'] .tippy-arrow {
    color: rgba(51,156,208,0.8);
}
